package com.example.damien.whichfingers;

import android.support.annotation.NonNull;

/**
 * Created by damien on 25/03/17.
 */

public class Touch implements Comparable<Touch> {
    private int x;
    private int y;
    private int id;
    private int piezoIdx;

    public Touch(int id, int x, int y) {
        this.x = x;
        this.y = y;
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public void setPiezoIdx(int piezoIdx) {this.piezoIdx = piezoIdx;}
    public int getPiezoIdx() {return this.piezoIdx;}

    @Override
    public int compareTo(@NonNull Touch o) {
        return x - o.x;
    }
}
